### Method

# Camel VeeFolder get_location

#### Declaration [src]

    CamelFolder*
    camel_vee_folder_get_location (
      CamelVeeFolder* vf,
      const CamelVeeMessageInfo* vinfo,
      gchar** realuid
    )

#### Description [src]

Find the real folder (and message info UID) for the given `vinfo`. When the `realuid` is not `NULL` and it’s set, then use `g_free()` to free it, when no longer needed.

#### Parameters

`vinfo`

  Type: `CamelVeeMessageInfo`

  A `CamelVeeMessageInfo` to search for.

  The data is owned by the caller of the method.

`realuid`

  Type: `gchar**`

  If not `NULL`, set to the UID of the real message info.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `CamelFolder`

A real (not virtual) `CamelFolder`, which the `vinfo` is for.

The returned data is owned by the instance.